Subject: Re: 440 PCI adapter card interupt handling question

From: Matt Porter <[email-masked]>
Date: Sat, 15 Jun 2002 08:21:12 -0700

On Thu, Jun 13, 2002 at 03:10:11PM -0700, Khai Trinh wrote:
>
> Our custom board is a IBM 440GP based pci slave
> adapter card, we will configure it to use the Simple
> Message Passing Unit to allow interrupt generation to
> the 440 from the Host. My question are Where in the
> Linux kernel code can I initialize the 440 onboard
> interrupt controller to enable this interrupt to
> happen? And how do I register my interrupt handling
> routine to service inbound interrupt from the Host?

You don't use the UICs to generate an outbound message
interrupt so there is no "initialization".  There is a
hardwired UIC interrupt generated by inbound message
interrupts.

Since you are talking about writing a basic Linux
device driver, I suggest you see one of the many
books on the topic to learn some of the basics.
request_irq(), for example, is explained with many
examples.

Regards,
--
Matt Porter
[email-masked]
This is Linux Country. On a quiet night, you can hear Windows reboot.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/